# Match and import to list Import records into a given list and match them. The request body is a JSON array of items to be imported for matching. First you'll need to use Create a List to create a list. Make sure to set: ImportSource=api ListType=import Endpoint: POST /v1/lists/{ListID}/import/items Version: 5.0.0.0 Security: api_key_bearer ## Path parameters: - `ListID` (integer, required) Unique identifier for the list. Example: 123456 ## Query parameters: - `Fields` (array) A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-" Enum: "ListImportItemID", "-ListImportItemID" - `Purchase` (integer, required) Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable. Enum: 0, 1 ## Request fields (application/json): - `FirstName` (string) Imported Owner First Name. Example: "John" - `LastName` (string) Imported Owner Last Name. Example: "Doe" - `FullName` (string) Imported Owner Full Name. Example: "John Doe" - `Email` (string) Imported Email Address. Example: "email@example.com" - `EmailStatus` (string) Imported Email Status. - `Phone` (string) Imported Phone Number. Example: "555-555-1234" - `PhoneType` (string) Imported Phone Type. - `PhoneStatus` (string) Imported Phone Status. - `Address` (string) Imported Address. Example: "120 SE Main St #500" - `City` (string) Imported City. Example: "ANAHEIM" - `State` (string) Imported State. Example: "CA" - `ZipFive` (integer) Imported Zip Code. Example: "95555" - `County` (string) Imported County. Example: "ORANGE" - `APN` (string) Imported APN. Example: "13-08-180-021" ## Response 200 fields (application/json): - `results` (array) - `results.ListImportItemID` (integer) Unique identifier for the import list item. Example: 123456 - `totalCost` (string) The total amount billed for the records in this response Example: "1.00" - `quantityFreeRemaining` (integer) Export credits remaining in the account. Only present for preview (Purchase=false) responses. Example: 250 - `resultCount` (integer) The number of records in this response Example: 20 ## Response 400 fields (application/json): - `error` (string) A simple explanation of the problem. Not for display to end users. - `eventid` (string) A code in the form xxx-xxx-xxx that can be used for troubleshooting. Also present in headers as X-Radar-Request-Id Example: "abc-123-def" - `message` (string) If present, an explanation suitable for display to end users - `messageTitle` (string) If present, a title suitable for display to end users